@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  pdf-as-cli-pdfbox1 startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

@rem Add default JVM options here. You can also use JAVA_OPTS and PDF_AS_CLI_PDFBOX1_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windowz variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\pdf-as-cli-4.1.6.jar;%APP_HOME%\lib\sigs-pkcs7detached-4.1.6.jar;%APP_HOME%\lib\sigs-pades-4.1.6.jar;%APP_HOME%\lib\pdf-as-moa-4.1.6.jar;%APP_HOME%\lib\commons-cli-1.2.jar;%APP_HOME%\lib\logback-classic-1.1.2.jar;%APP_HOME%\lib\jaxws-api-2.3.1.jar;%APP_HOME%\lib\logback-core-1.1.2.jar;%APP_HOME%\lib\javax.xml.soap-api-1.4.0.jar;%APP_HOME%\lib\javax.annotation-api-1.3.2.jar;%APP_HOME%\lib\iaik_eccelerate_cms.jar;%APP_HOME%\lib\iaik_eccelerate.jar;%APP_HOME%\lib\iaik_jce_full.jar;%APP_HOME%\lib\iaik_cms.jar;%APP_HOME%\lib\pdf-as-pdfbox-4.1.6.jar;%APP_HOME%\lib\pdf-as-lib-4.1.6.jar;%APP_HOME%\lib\slf4j-api-1.7.30.jar;%APP_HOME%\lib\pdfbox-1.8.16.jar;%APP_HOME%\lib\activation-1.1.1.jar;%APP_HOME%\lib\pdf-as-common-4.1.6.jar;%APP_HOME%\lib\commons-lang3-3.10.jar;%APP_HOME%\lib\httpmime-4.5.12.jar;%APP_HOME%\lib\httpclient-4.5.12.jar;%APP_HOME%\lib\bcprov-jdk15on-1.65.jar;%APP_HOME%\lib\jaxb-api-2.3.1.jar;%APP_HOME%\lib\gson-2.8.6.jar;%APP_HOME%\lib\jose4j-0.7.0.jar;%APP_HOME%\lib\jaxb-runtime-2.3.3.jar;%APP_HOME%\lib\commons-collections4-4.4.jar;%APP_HOME%\lib\core-3.2.0.jar;%APP_HOME%\lib\javase-3.2.0.jar;%APP_HOME%\lib\fontbox-1.8.16.jar;%APP_HOME%\lib\jempbox-1.8.16.jar;%APP_HOME%\lib\commons-collections-3.2.2.jar;%APP_HOME%\lib\httpcore-4.4.13.jar;%APP_HOME%\lib\javax.activation-api-1.2.0.jar;%APP_HOME%\lib\jakarta.xml.bind-api-2.3.3.jar;%APP_HOME%\lib\txw2-2.3.3.jar;%APP_HOME%\lib\istack-commons-runtime-3.0.11.jar;%APP_HOME%\lib\jakarta.activation-1.2.2.jar;%APP_HOME%\lib\commons-io-2.6.jar;%APP_HOME%\lib\ognl-3.0.8.jar;%APP_HOME%\lib\javassist-3.11.0.GA.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.30.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\commons-codec-1.11.jar

@rem Execute pdf-as-cli-pdfbox1
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %PDF_AS_CLI_PDFBOX1_OPTS%  -classpath "%CLASSPATH%" at.gv.egiz.pdfas.cli.Main %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable PDF_AS_CLI_PDFBOX1_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%PDF_AS_CLI_PDFBOX1_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
